version: '2.3'
#see .env file for env variables definitions



services:
#   ██████╗ ██████╗  ██████╗██╗  ██╗███████╗███████╗████████╗██████╗  █████╗ ████████╗ ██████╗ ██████╗ 
#  ██╔═══██╗██╔══██╗██╔════╝██║  ██║██╔════╝██╔════╝╚══██╔══╝██╔══██╗██╔══██╗╚══██╔══╝██╔═══██╗██╔══██╗
#  ██║   ██║██████╔╝██║     ███████║█████╗  ███████╗   ██║   ██████╔╝███████║   ██║   ██║   ██║██████╔╝
#  ██║   ██║██╔══██╗██║     ██╔══██║██╔══╝  ╚════██║   ██║   ██╔══██╗██╔══██║   ██║   ██║   ██║██╔══██╗
#  ╚██████╔╝██║  ██║╚██████╗██║  ██║███████╗███████║   ██║   ██║  ██║██║  ██║   ██║   ╚██████╔╝██║  ██║
#   ╚═════╝ ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═╝  ╚═╝   ╚═╝    ╚═════╝ ╚═╝  ╚═╝

  orchestrator_be:
    build:
      context: ${ORCHESTRATOR_BE}
      dockerfile: Dockerfile_java_python
    command: python3 __init__.py
    ports:
      - "${ORCHESTRATOR_BE_PORT}:5000"
    volumes:
      - ${ORCHESTRATOR_BE}:${APP_PATH} # for developing purposes
      - ${SHARED_DATA}:${APP_PATH}/../data # to be defined according to the tool workspace
    environment:
      - MONGO_DB_NAME=${MONGO_DB_NAME}
      - MONGO_DB_TCP_ADDR=mongodb
      - MONGO_DB_PORT=27017
      - FRONTEND_URL=${FRONTEND_URL}
      - MAIL_SERVER=${MAIL_SERVER}
      - MAIL_PORT=${MAIL_PORT}
      - MAIL_USE_SSL=${MAIL_USE_SSL}
      - MAIL_USERNAME=${MAIL_USERNAME}
      - MAIL_PASSWORD=${MAIL_PASSWORD}
    tty: true

